@font-face {
    font-family: 'Aptos-Light';
    font-weight: 400;
    font-style: normal;
    font-display: swap;
    unicode-range: U+000-5FF;
    src: url('Aptos-Light.ttf') format('truetype');
}

:root {
  --fontcolor: #54545A; /* var(--fontcolor) */
}

html {
  border: none;
  -webkit-print-color-adjust:exact;
  scroll-behavior: smooth;
  -webkit-overflow-scrolling: touch;
  -webkit-text-size-adjust: none;
     -moz-text-size-adjust: none;
      -ms-text-size-adjust: none;
       -o-text-size-adjust: none;
          text-size-adjust: none;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: Aptos-Light, sans-serif;
    color: var(--fontcolor);
}
b { color: inherit; font-family: inherit; }

body {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #F0F0FF;
    cursor: default;
    overflow-y: scroll;
}

img, a,
.noselect {
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  -webkit-user-drag: none;
          user-drag: none; 
}

.textselect {
  -webkit-user-select: text;
     -moz-user-select: text;
      -ms-user-select: text;
          user-select: text;
}

select, input, textarea, button,
input:focus, textarea:focus, button:focus {
  outline: 0;
  -webkit-appearance: none;
  -webkit-border-radius: 0;
          border-radius: 0;
  -webkit-box-shadow: none;
     -moz-box-shadow: none;
       -o-box-shadow: none;
          box-shadow: none;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active  {
    -webkit-box-shadow: 0 0 0 60px white inset !important;
    background-color: red !important;
    background-clip: content-box !important;
    -webkit-text-fill-color: var(--fontcolor);
    color: var(--fontcolor) !important;
}

form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

input, textarea, button {
    padding: 12px;
    font-size: 1rem;
    border: 1px solid #ccc;
    border-radius: 8px;
}

button {
    background-color: #1E54A0;
    color: white;
    cursor: pointer;
    border: none;
}
button:hover { background-color: #1E54A0; }
.offline-msg { background-color: #fff3cd; color: #856404; }



#status {
    position: fixed;
    top: 6px; right: 20px;
    width: 100px;
    border-radius: 14px;
    color: white;
    text-align: center;
    padding: 3px;
}
.status_online  { background-color: yellowgreen; } .status_online:before  { content: "Online";  }
.status_offline { background-color: tomato;      } .status_offline:before { content: "Offline"; }

#message_addhomescreen, #message_offlinedata, #message_error {
    display: none;
    padding: 4px 10px;
    margin: 2px;
    width: 90%;
    left: 5%;
    border: 1px solid blue;
    border-radius: 8px;
    background-color: yellow;
    color: blue!important;
}
#message_addhomescreen {  }
#message_offlinedata {  }
#message_error {  }

#message_login {
    display: none;
    position: fixed;
    top: 36px; right: 20px;
}

